
var srcDir = './src';
var dstDir = './dist';

module.exports = {

    /**
     * Source directory
     */
    srcDir: srcDir,

    /**
     * Destination directory
     */
    dstDir: dstDir,

    /**
     * Pages directory
     */
    pagesDir: srcDir + '/pages',

    /**
     * Data directory
     */
    dataDir: srcDir + '/data',

    /**
     * Helpers directory
     * @type {RegExp}
     */
    helpersDir: srcDir + '/helpers',

    /**
     * Partials directory
     */
    partialsDir: srcDir + '/partials',

    /**
     * Layouts directory
     */
    layoutsDir: srcDir + '/layouts',

    /**
     * Data type whitelist
     */
    dataTypes: ['json'],

    /**
     * Template type whitelist
     */
    templateTypes: ['html', 'md', 'markdown'],

};
